## trafficserver 7.1.4+ds

=== plugins/experimental/ats_pagespeed/Makefile ===
#  Licensed to the Apache Software Foundation (ASF) under one
#  or more contributor license agreements.  See the NOTICE file
#  distributed with this work for additional information
#  regarding copyright ownership.  The ASF licenses this file
#  to you under the Apache License, Version 2.0 (the
#  "License"); you may not use this file except in compliance
#  with the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

#########################################################################
# NOTE: This plugin is deprecated, being moved to the Apache Pagespeed
#       project.
#
SHELL := /bin/bash
TSXS?=tsxs
# Specify BUILDTYPE=Debug for a debug build
BUILDTYPE?=Release
MOD_PAGESPEED_DIR=$(shell pwd)/psol/include/
PAGESPEED_OUT=$(shell pwd)/psol/lib/$(BUILDTYPE)/linux/x64/


os_name=unknown_os
arch_name=ia32
uname_os=$(shell uname)
uname_arch=$(shell uname -m)

ifeq ($(uname_os),Linux)
  os_name=linux
endif

ifeq ($(uname_arch), x86_64)
  arch_name=x64
endif
ifeq ($(uname_arch), amd64)
  arch_name=x64
endif

INC =-I$(MOD_PAGESPEED_DIR)\
 -I$(MOD_PAGESPEED_DIR)third_party/chromium/src/\
 -I$(MOD_PAGESPEED_DIR)third_party/google-sparsehash/src\
 -I$(MOD_PAGESPEED_DIR)third_party/google-sparsehash/gen/arch/$(os_name)/$(arch_name)/include\
 -I$(MOD_PAGESPEED_DIR)third_party/protobuf/src\
 -I$(MOD_PAGESPEED_DIR)third_party/re2/src\
 -I$(MOD_PAGESPEED_DIR)third_party/out/$(BUILDTYPE)/obj/gen\
 -I$(MOD_PAGESPEED_DIR)third_party/apr/src/include/\
 -I$(MOD_PAGESPEED_DIR)third_party/aprutil/src/include/\
 -I$(MOD_PAGESPEED_DIR)third_party/apr/gen/arch/$(os_name)/$(arch_name)/include/\
 -I$(MOD_PAGESPEED_DIR)third_party/aprutil/gen/arch/$(os_name)/$(arch_name)/include/\
 -I$(MOD_PAGESPEED_DIR)out/$(BUILDTYPE)/obj/gen\
 -I$(MOD_PAGESPEED_DIR)out/$(BUILDTYPE)/obj/gen/protoc_out/instaweb

PSOL_LIBS = $(PAGESPEED_OUT)pagespeed_automatic.a 
#PSOL_LIBS = $(PAGESPEED_OUT)pagespeed_automatic.a $(PAGESPEED_OUT)libserf.a $(PAGESPEED_OUT)libaprutil.a $(PAGESPEED_OUT)libapr.a

%.so: psol %.cc
# https://github.com/pagespeed/ngx_pagespeed/issues/433: it would be nice to have -Wall -Werror, only suppressing when needed.
	g++ $(INC) -shared -o ats_pagespeed.so -g -pipe -O3 -fpic *.cc -lstdc++ -lstdc++  -lpthread $(PSOL_LIBS) -lrt

all: psol gzip/gzip.so ats_pagespeed.so

1.9.32.3.tar.gz:
	wget --no-check-certificate https://dl.google.com/dl/page-speed/psol/1.9.32.3.tar.gz

psol/: 1.9.32.3.tar.gz
	tar -xzvf 1.9.32.3.tar.gz

gzip/gzip.so:
	cd gzip && make

install: all
	$(TSXS) -i -o ats_pagespeed.so
	cd gzip && make install

cleanpsol:
	rm -rf psol/
	rm *.gz

clean:
	rm -f *.lo *.so *.o
	rm -f gzip/*.lo gzip/*.so gzip/*.o

=== debian/changelog ===
trafficserver (7.1.4+ds-1) unstable; urgency=medium

  [ Aron Xu ]
  * Use libunwind for mips*

  [ Jean Baptiste Favre ]
  * Update Debian standards version
  * New upstream version 7.1.4+ds
  * Patches refresh for 7.1.4
  * Add lintian override for trafficserver package

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 06 Aug 2018 10:56:14 +0200

trafficserver (7.1.3+ds-4) unstable; urgency=medium

  * Fix FTBS on armel (Closes: #902112)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 22 Jun 2018 17:13:53 +0200

=== debian/control ===
Source: trafficserver
Section: web
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
Build-Depends: debhelper (>= 11), libssl-dev, tcl-dev, libexpat1-dev,
  libpcre3-dev, libtool, libcap-dev [linux-any],
  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
  libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
  python3-sphinx [!kfreebsd-any], python-sphinx [kfreebsd-any],
  libxml2-dev, libmagick++-dev, libncurses-dev, libcurl4-openssl-dev,
  libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
  libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
Standards-Version: 4.2.0
Homepage: http://trafficserver.apache.org/
Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
Vcs-Browser: https://salsa.debian.org/debian/trafficserver

Package: trafficserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
  ${perl:Depends}
Provides: trafficserver-plugin-conf-remap
Replaces: trafficserver-plugin-conf-remap (<< 3.2~),
 trafficserver-experimental-plugins (<< 7.0.0)
Suggests: trafficserver-experimental-plugins (= ${binary:Version})
Breaks: trafficserver-plugin-conf-remap (<< 3.2~),
 trafficserver-experimental-plugins (<< 7.0.0~)
Description: fast, scalable and extensible HTTP/1.1 compliant caching proxy server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well. Apache Traffic Server
 supports:
 .
   * Caching: Improves response time by caching and reusing frequently-
     requested web content.
   * Proxying: Supports filtering, anonymization, load balancing and more.
   * Scaling: Scales well on modern SMP hardware.
   * Extensions: Use the API to modify anything from the HTTP headers to your
     own cache algorithm.

Package: trafficserver-experimental-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: trafficserver (= ${binary:Version})
Breaks: trafficserver (<< 7.0.0~)
Description: experimental plugins for Apache Traffic Server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well.
 .
 This package provides experimental plugins: authproxy, channel stats,
 combo handler, custom_redirect, esi, geoip acl, healthchecks, Lua, metalink,
 rfc5861, spdy and tcp info.

Package: trafficserver-dev
Architecture: any
Depends: ${misc:Depends}, trafficserver (= ${binary:Version})
Description: Apache Traffic Server Software Developers Kit (SDK)
 This package provides the Apache Traffic Server Software  Developers Kit.
 This is a collection of development header and bindings for the C programming
 language, the tsxs linking helper and examples to write your own plug-ins for
 the Apache Traffic Server.

## trafficserver 7.1.6+ds

=== debian/changelog ===
trafficserver (7.1.6+ds-1~bpo9+2) stretch-backports; urgency=medium

  * Require python3-sphinx (>= 1.7.9~)

 -- Aron Xu <aron@debian.org>  Fri, 08 Mar 2019 23:15:01 +0800

trafficserver (7.1.6+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Build for stretch-backports.

 -- Aron Xu <aron@debian.org>  Fri, 08 Mar 2019 17:30:28 +0800

trafficserver (7.1.4+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 06 Aug 2018 13:06:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
   libpcre3-dev, libtool, libcap-dev [linux-any],
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
   libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
-  python3-sphinx [!kfreebsd-any], python-sphinx [kfreebsd-any],
+  python3-sphinx (>= 1.7.9~) [!kfreebsd-any], python-sphinx [kfreebsd-any],
   libxml2-dev, libmagick++-dev, libncurses-dev, libcurl4-openssl-dev,
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]

## trafficserver 8.0.0

=== debian/changelog ===
trafficserver (8.0.0-4) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Update descriptions in d/control

  [ Jean Baptiste Favre ]
  * Update patch to fix kfreebsd FTBFS

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 05 Nov 2018 10:13:03 +0100

trafficserver (8.0.0-3) unstable; urgency=medium

  * Remove webptransform experimental plugin
  * Update patch to fix kfreebsd FTBFS
  * Update d/copyright to fix lintian error
  * Update d/rules to fix FTBFS for mips & mipsel archs
  * Update d/rules to spare call to dpkg-parsechangelog
  * Update d/copyright after 8.0.0 file moves

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 02 Nov 2018 14:24:38 +0100

trafficserver (8.0.0-2) unstable; urgency=medium

  * Add a patch to fix FTBFS with MySQL 8 (LP: #1795362)
  * Update 0009-fix-mysql-8-build.patch which has been merged upstream
  * Bump Standards-Version in d/control
  * Add patch to fix 32bits arm & mips arch build
  * Backport upstream patch to fix segmentation fault
  * Backport upstream patch to fix traffic_via

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 17 Oct 2018 20:40:51 +0200

trafficserver (8.0.0-1) unstable; urgency=medium

  [ Aron Xu ]
  * Remove .vscode directory
  * systemd: After=network-online.target

  [ Jean Baptiste Favre ]
  * Update d/changelog for 8.0.0
  * Update init and service file after traffic_cop removal
  * Update d/README.Debian to reflect configuration changes
  * Add d/gitlab-ci.yml to use Salsa CI
  * Update d/control
      * Add build-deps against graphviz, python3-sphinxcontrib.plantuml
        and plantuml to build documentation & manpages
      * Add build-deps against libcrypto++-dev, libjansson-dev, libcjose-dev to
        build uri_signing plugin
      * Update Breaks to manage plugins transition from experimental to stable
  * Update postinst maintainer script, add postrm & preinst scripts to remove
    obsolete config files
    - /etc/trafficserver/vaddrs.config,
    - /etc/trafficserver/metrics.config,
    - /etc/trafficserver/logging.config,
    - /etc/trafficserver/log_hosts.config,
    - /etc/trafficserver/congestion.config,
    - /etc/trafficserver/cluster.config,
    - /etc/trafficserver/body_factory/default/congestion#retryAfter
  * Update d/trafficserver and d/trafficserver-experimental-plugins install
    files
    - Stable plugin gzip renamed to compress
    - Promoted stable plugins:
      - cachekey,
      - cache_promote,
      - escalate,
      - test_cppapi,
      - tslua
    - Added new experimental plugins:
      - access_control,
      - fq_pacing,
      - prefetch,
      - server_push_preload,
      - system_stats,
      - tls_bridge,
      - traffic_dump,
      - uri_signing
    - Remove deprecated plugins collapsed_connection, epic
  * Remove obsolete config option --enable-system-luajit from d/rules
  * Add --with-build-version option to d/rule to have a deterministic
    build-version
  * Update d/copyright to remove .vscode during import at repack stage
  * Update patches for 8.0.0
    - Refresh patches for 8.0.0
    - Removed patches:
      - 0004-force-use-luajit-system*, updated upstream
      - 0005-fix_documentation_build_option, updated upstream
      - 0008-fix_build_lua, updated upstream
      - 0009-fix-doc-python3, update upstream
      - 0010-Remove-custom-memory-barriers-from-header_rewrite-an patches,
        updated upstream
    - Renamed remaining patches:
      - 0006-fix_arm_build -> 0004-fix_arm_build,
      - 0007-fix_build_kfreebsd -> 0005-fix_build_kfreebsd,
      - 0009-fix-doc-git -> 0006-fix-doc-build
    - Add patch to fix uri_signing experimental plugin build
    - Add patch to fix check-unused-dependencies
  * New upstream version 8.0.0

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 06 Oct 2018 12:43:13 +0200

## trafficserver 8.0.1

=== debian/changelog ===
trafficserver (8.0.1-1) unstable; urgency=medium

  * New upstream version 8.0.1
  * Patches refresh for 8.0.1
  * Removed patches which have been merged upstream:
    - 0002-add-mips64-support
    - 0004-fix_arm_build
    - 0005-fix_build_kfreebsd
    - 0007-fix-uri_signing
    - 0010-fix-32bits-build
    - 0012-fix-traffic_via
  * Fix lintian warning public-upstream-key-not-minimal

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 03 Dec 2018 14:15:07 +0100

=== debian/control ===
Source: trafficserver
Section: web
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
Build-Depends: debhelper (>= 11), libssl-dev, tcl-dev, libexpat1-dev,
  libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
  libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
  python3-sphinx [!kfreebsd-any], python-sphinx [kfreebsd-any], plantuml,
  python3-sphinxcontrib.plantuml [!kfreebsd-any], python-sphinxcontrib.plantuml [kfreebsd-any],
  libxml2-dev, libncurses-dev, libcurl4-openssl-dev,
  libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
  libcrypto++-dev, libjansson-dev, libcjose-dev,
  libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
Standards-Version: 4.2.1
Homepage: http://trafficserver.apache.org/
Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
Vcs-Browser: https://salsa.debian.org/debian/trafficserver

Package: trafficserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
  ${perl:Depends}
Provides: trafficserver-plugin-conf-remap
Replaces: trafficserver-plugin-conf-remap (<< 3.2~),
 trafficserver-experimental-plugins (<< 8.0.0~)
Suggests: trafficserver-experimental-plugins (= ${binary:Version})
Breaks: trafficserver-plugin-conf-remap (<< 3.2~),
 trafficserver-experimental-plugins (<< 8.0.0~)
Description: fast, scalable and extensible HTTP/1.1 and HTTP/2.0 compliant caching proxy server
 This package provides the Apache Traffic Server, a fast, scalable reverse
 proxy server which may operate as forward proxy as well. Apache Traffic Server
 supports:
 .
   * Caching: improve response time while reducing server load and bandwidth
     needs by caching and reusing frequently-requested web pages, images, and
     web service calls.
   * Proxying: add keep-alive, filter or anonymize content requests, or add
     load balancing by adding a proxy layer.
   * Scaling: handle 10s of thousands of requests per second on modern SMP
     hardware.
   * Extensions: use the API to do anything from modifying HTTP headers to
     handling ESI requests to writing your own cache algorithm.

Package: trafficserver-experimental-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: trafficserver (= ${binary:Version})
Breaks: trafficserver (<< 8.0.0~)
Description: experimental plugins for Apache Traffic Server
 This package provides the Apache Traffic Server plugins marked as
 experimental.

Package: trafficserver-dev
Architecture: any
Depends: ${misc:Depends}, trafficserver (= ${binary:Version})
Description: Apache Traffic Server Software Developers Kit (SDK)
 This package provides the Apache Traffic Server Software Developers Kit, which
 consists of: a collection of development header and bindings for the C
 programming language, the tsxs linking helper and examples to write your own
 plug-ins for the Apache Traffic Server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -O3
export DEB_CXXFLAGS_MAINT_APPEND = -O3
# mips & mipsel need explicit libatomic link
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel))
  export DEB_LDFLAGS_MAINT_APPEND += -latomic
endif

# Get build architecture. ./configure is different on Linux
include /usr/share/dpkg/architecture.mk
# Get rid f dpkg-parsechangelog
include /usr/share/dpkg/pkg-info.mk

configure_flags = \
	--enable-layout=Debian \
	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
	--libexecdir=/usr/lib/trafficserver/modules \
	--with-user=root --with-group=root --disable-silent-rules \
	--enable-experimental-plugins --enable-32bit-build \
	--enable-mime-sanity-check --enable-docs \
	--with-build-version=$(DEB_VERSION) \
        $(shell dpkg-buildflags --export=configure)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	configure_flags += --enable-wccp
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_install:
	dh_auto_install -- INSTALLDIRS=vendor
	rm -f debian/tmp/usr/bin/trafficserver # We install our own
	# Satisfy §10.2 (http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
	rm -f debian/tmp/usr/lib/trafficserver/lib*.la
	rm -f debian/tmp/usr/lib/trafficserver/modules/*.la
	rm -f debian/tmp/usr/lib/trafficserver/lib*.a
ifneq ($(DEB_HOST_ARCH_OS),linux)
	# Remove Linux-specific plugin
	sed -i '/\/healthchecks\.so$$/d' \
		debian/trafficserver.install
endif

override_dh_install:
	dh_install
	dh_missing --list-missing
	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config
	# Lintian fixes
	mkdir -p debian/trafficserver/usr/share/doc/trafficserver
	cat CHANGELOG-* >> debian/trafficserver/usr/share/doc/trafficserver/changelog
	#rm debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/ssl-preaccept/ssl_preaccept.config
	#(cd debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/ssl-preaccept/; \
	#ln -s ssl_preaccept.config ssl_sni.config)

override_dh_fixperms:
	dh_fixperms -Xvar/lib/trafficserver \
		    -Xvar/log/trafficserver \
		    -Xvar/cache/trafficserver \
		    -Xvar/run/trafficserver
	# Fix lintian warning
	chmod -x debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/remap_header_add/build.txt

override_dh_installexamples:
	dh_installexamples -XMakefile -X.libs -X.dirstamp -X.deps -X.la -X.lo

override_dh_makeshlibs:
	dh_makeshlibs -Xdebian/tmp/usr/lib/trafficserver

override_dh_auto_test:
	-dh_auto_test

## trafficserver 8.0.2+ds

=== debian/changelog ===
trafficserver (8.0.2+ds-1+rpi1+deb10u1) buster-staging; urgency=medium

  [changes brought forward from 8.0.1-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 19 Jan 2019 12:42:48 +0000]
  * Use -latomic on raspbian too.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 12 Sep 2019 17:22:26 +0000

trafficserver (8.0.2+ds-1+deb10u1) buster-security; urgency=high

  * Add patch for security backport from 8.0.4 for CVE-2019-9512,
       CVE-2019-9514, and CVE-2019-9515. (Closes: #934887)
  * Add patch for security backport from 8.0.5 for fixes
       CVE-2019-9518 (Closes: #935314)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 26 Aug 2019 13:55:33 +0200

trafficserver (8.0.2+ds-1) unstable; urgency=medium

  * Disable testing build in d/gitlab-ci.yml
  * Update d/copyright to remove unneeded files when importing upstream release
  * Update upstream GPG keys list
  * New upstream version 8.0.2+ds
  * Patches refresh for 8.0.2
  * Update patch. Add dep3 headers
  * Update d/control. Mark trafficserver-dev architecture all
  * Remove signature from upstream keys. Fix lintian info
  * Move dpkg-maintscript-helper commands to d/trafficserver.maintscript

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 30 Jan 2019 14:45:09 +0100

trafficserver (8.0.1-4) unstable; urgency=medium

  * Add patch and update d/control, d/rules to use system provided yaml-cpp

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 11 Jan 2019 19:07:28 +0100

trafficserver (8.0.1-3) unstable; urgency=medium

  * Add missed experimental plugin certifier
  * Add man pages paths to d/not-installed to avoid too verbose dh_missing list.
    Manpages are compressed before being install. Non-compressed version is in
    turn erroneously detected as not installed.
  * Update patch which has been merged upstream

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 07 Jan 2019 15:24:38 +0100

trafficserver (8.0.1-2) unstable; urgency=medium

  * Update Standards Version in d/control. No other changes needed
  * Update trafficserver-experimental-plugins package descriptions
    in d/control to fix lintian warnings
  * Add patch 0012-fix-spelling-checks to fix spellings. Forwarded upstream
  * Update patch 0006-fix-doc-build to include missing manpages
  * Remove d/trafficserver.lintian-overrides
  * Add patch 0013-fix-perl-interpreter-path. Fix lintian error which used
    to be overridden in d/trafficserver.lintian-overrides
  * Update d/trafficserver-dev.lintian-overrides

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 03 Jan 2019 10:52:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -O3
 export DEB_CXXFLAGS_MAINT_APPEND = -O3
-# mips & mipsel need explicit libatomic link
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel))
+# mips & mipsel and raspbian need explicit libatomic link
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel armhf))
   export DEB_LDFLAGS_MAINT_APPEND += -latomic
 endif
 
@@ -25,6 +25,7 @@
 	--enable-experimental-plugins --enable-32bit-build \
 	--enable-mime-sanity-check --enable-docs \
 	--with-build-version=$(DEB_VERSION) \
+	--with-yaml-cpp=/usr \
         $(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)

## trafficserver 8.0.2.2

=== debian/changelog ===
trafficserver (8.0.2.2-1+dde) unstable; urgency=medium

  * update

 -- Aron Xu <aron@debian.org>  Mon, 22 Nov 2021 11:52:35 +0800

trafficserver (8.0.2.2-1+dde) buster-security; urgency=high

  * Cherry-pick upstream patch
  * CVE-2019-17559: Fixed how we handle unknown schemes
  * CVE-2019-17565: Fix chunked processing
  * CVE-2020-1944: Change header validationv
  * CVE-2020-9481: Fix HTTP/2 slow read attack
  * CVE-2020-9494: Fixed bug in the calculation of the header block fragment length
  * CVE-2020-17508: ESI: Ensure gzip header is always initialized
  * CVE-2020-17509: Add negative caching tests and fixes
  * CVE-2021-27577: Strip the url fragment for outgoing requests
  * CVE_2021-32565: Ensure that the content-length value is only digits
  * CVE-2021-35474: Fix dynamic-stack-buffer-overflow of cachekey plugin
  * CVE-2021-32566: Fix improper Input Validation vulnerability allows an attacker to DOS the server
  * CVE-2021-32567: Fix improper Input Validation vulnerability allows an attacker to DOS the server

 -- wangrong <wangrong@uniontech.com>  Mon, 01 Nov 2021 09:22:03 +0800
 

trafficserver (8.0.2.1-1+dde) buster-security; urgency=high

  * fix CVE-2021-35474

 -- wangrong <wangrong@uniontech.com>  Fri, 22 Oct 2021 21:31:23 +0800

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
   python3-sphinxcontrib.plantuml [!kfreebsd-any], python-sphinxcontrib.plantuml [kfreebsd-any],
   libxml2-dev, libncurses-dev, libcurl4-openssl-dev,
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
-  libcrypto++-dev, libjansson-dev, libcjose-dev,
+  libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver
@@ -28,7 +28,7 @@
 Suggests: trafficserver-experimental-plugins (= ${binary:Version})
 Breaks: trafficserver-plugin-conf-remap (<< 3.2~),
  trafficserver-experimental-plugins (<< 8.0.0~)
-Description: fast, scalable and extensible HTTP/1.1 and HTTP/2.0 compliant caching proxy server
+Description: fast, scalable and extensible HTTP/1.1 and HTTP/2.0 caching proxy server
  This package provides the Apache Traffic Server, a fast, scalable reverse
  proxy server which may operate as forward proxy as well. Apache Traffic Server
  supports:
@@ -51,6 +51,10 @@
 Description: experimental plugins for Apache Traffic Server
  This package provides the Apache Traffic Server plugins marked as
  experimental.
+ .
+ Please note that these plugins can be removed without priori notice, or
+ promoted as stable plugin. In the last case, they'll be moved from
+ trafficserver-experimental-plugins to trafficserver package.
 
 Package: trafficserver-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -O3
 export DEB_CXXFLAGS_MAINT_APPEND = -O3
-# mips & mipsel and raspbian need explicit libatomic link
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel armhf))
+# mips & mipsel need explicit libatomic link
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel))
   export DEB_LDFLAGS_MAINT_APPEND += -latomic
 endif

## trafficserver 8.0.3+ds

=== debian/changelog ===
trafficserver (8.0.3+ds-4) unstable; urgency=medium

  * Fix lintian warning 'skip-systemd-native-flag-missing-pre-depends'
  * Use debhelper-compat instead of debian/compat

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 02 Aug 2019 09:07:31 +0200

trafficserver (8.0.3+ds-3) unstable; urgency=medium

  * Run upstream testsuite with autopkgtest.
  * Enable CI tests on salsa (see debian/salsa-ci.yml).
  * Set debhelper compatibility level to 12.
  * Add myself to the Uploaders field.
  * Set Standards-Version to 4.4.0.

 -- Emanuele Rocca <ema@debian.org>  Wed, 31 Jul 2019 11:11:59 +0200

trafficserver (8.0.3+ds-2) unstable; urgency=medium

  * Fix hardeing updating 0015-as-needed-fix.patch from Ubuntu

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 26 Mar 2019 08:44:17 +0100

trafficserver (8.0.3+ds-1) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Drop unnecessary dependency on dh-autoconf.
  * New upstream version 8.0.3+ds
  * Patches update for 8.0.3
  * Add as-needed patch from Ubuntu

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 25 Mar 2019 10:29:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: trafficserver
 Section: web
 Priority: optional
-Maintainer: Aron Xu <aron@debian.org>
-Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
-Build-Depends: debhelper (>= 11), libssl-dev, tcl-dev, libexpat1-dev,
+Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
+Uploaders: Aron Xu <aron@debian.org>, Emanuele Rocca <ema@debian.org>
+Build-Depends: debhelper-compat (= 12), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
   libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
@@ -13,8 +13,8 @@
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
   libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
-Standards-Version: 4.3.0
-Homepage: http://trafficserver.apache.org/
+Standards-Version: 4.4.0
+Homepage: https://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver
 
@@ -22,6 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
   ${perl:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Provides: trafficserver-plugin-conf-remap
 Replaces: trafficserver-plugin-conf-remap (<< 3.2~),
  trafficserver-experimental-plugins (<< 8.0.0~)

## trafficserver 8.0.5%2Bds

=== CMakeLists.txt ===
#### EDITOR SUPPORT ####
## This file exists ONLY to support code editors (e.g. Visual Code, CLion).
##
## !!!-> IT WILL NOT BUILD TRAFFIC SERVER <-!!!
##
## This file can be tweaked to keep editors happy. In general all projects
## should be defined here so there is only one instance of this file, not one
## per directory. This has been done only to the extent that someone using
## such an editor needed it, so much work is left to be done.
#######################
#
#  Licensed to the Apache Software Foundation (ASF) under one
#  or more contributor license agreements.  See the NOTICE file
#  distributed with this work for additional information
#  regarding copyright ownership.  The ASF licenses this file
#  to you under the Apache License, Version 2.0 (the
#  "License"); you may not use this file except in compliance
#  with the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#######################

cmake_minimum_required(VERSION 3.7)
project(ats)

set(CMAKE_CXX_STANDARD 11)

include_directories(lib
        include
        proxy
        proxy/hdrs
        proxy/http
        proxy/http/remap
        proxy/shared
        lib/records
        include/wccp
        lib/yamlcpp/include
        iocore/eventsystem
        iocore/net
        iocore/dns
        iocore/hostdb
        iocore/aio
        iocore/cache
        iocore/utils
        mgmt
        mgmt/api
        mgmt/utils
        mgmt/api/include
        proxy/api)

add_executable(traffic_crashlog
        src/traffic_crashlog/procinfo.cc
        src/traffic_crashlog/traffic_crashlog.cc
        src/traffic_crashlog/traffic_crashlog.h
)

add_executable(traffic_ctl
        src/traffic_ctl/alarm.cc
        src/traffic_ctl/config.cc
        src/traffic_ctl/plugin.cc
        src/traffic_ctl/server.cc
        src/traffic_ctl/storage.cc
        src/traffic_ctl/traffic_ctl.cc
        src/traffic_ctl/traffic_ctl.h
        src/traffic_layout/engine.cc
)

add_executable(traffic_layout
        src/traffic_layout/engine.h
        src/traffic_layout/file_system.cc
        src/traffic_layout/file_system.h
        src/traffic_layout/info.cc
        src/traffic_layout/info.h
        src/traffic_layout/traffic_layout.cc
)

add_executable(traffic_logcat
        src/traffic_logcat/logcat.cc
)

add_executable(traffic_logstats
        src/traffic_logstats/logstats.cc
)

add_executable(traffic_manager
        src/traffic_manager/AddConfigFilesHere.cc
        src/traffic_manager/traffic_manager.cc
)

add_executable(traffic_server
        src/traffic_server/CoreUtils.cc
        src/traffic_server/CoreUtils.h
        src/traffic_server/Crash.cc
        src/traffic_server/EventName.cc
        src/traffic_server/EventName.h
        src/traffic_server/FetchSM.cc
        src/traffic_server/FetchSM.h
        src/traffic_server/HostStatus.cc
        src/traffic_server/InkAPI.cc
        src/traffic_server/InkAPITest.cc
        src/traffic_server/InkIOCoreAPI.cc
        src/traffic_server/SocksProxy.cc
        src/traffic_server/traffic_server.cc
)

add_executable(ats
        src/traffic_via/traffic_via.cc
        src/traffic_wccp/wccp_client.cc
        example/add_header/add_header.c
        example/append_transform/append_transform.c
        example/basic_auth/basic_auth.c
        example/blacklist_0/blacklist_0.c
        example/blacklist_1/blacklist_1.c
        example/bnull_transform/bnull_transform.c
        example/cache_scan/cache_scan.cc
        example/cppapi/async_http_fetch/AsyncHttpFetch.cc
        example/cppapi/async_http_fetch_streaming/AsyncHttpFetchStreaming.cc
        example/cppapi/async_timer/AsyncTimer.cc
        example/cppapi/boom/boom.cc
        example/cppapi/clientredirect/ClientRedirect.cc
        example/cppapi/clientrequest/ClientRequest.cc
        example/cppapi/custom_error_remap_plugin/CustomErrorRemapPlugin.cc
        example/cppapi/customresponse/CustomResponse.cc
        example/cppapi/delay_transformation_plugin/DelayTransformationPlugin.cc
        example/cppapi/globalhook/GlobalHookPlugin.cc
        example/cppapi/gzip_transformation/GzipTransformationPlugin.cc
        example/cppapi/helloworld/HelloWorldPlugin.cc
        example/cppapi/intercept/intercept.cc
        example/cppapi/internal_transaction_handling/InternalTransactionHandling.cc
        example/cppapi/logger_example/LoggerExample.cc
        example/cppapi/multiple_transaction_hooks/MultipleTransactionHookPlugins.cc
        example/cppapi/null_transformation_plugin/NullTransformationPlugin.cc
        example/cppapi/post_buffer/PostBuffer.cc
        example/cppapi/remap_plugin/RemapPlugin.cc
        example/cppapi/serverresponse/ServerResponse.cc
        example/cppapi/stat_example/StatExample.cc
        example/cppapi/timeout_example/TimeoutExamplePlugin.cc
        example/cppapi/transactionhook/TransactionHookPlugin.cc
        example/cppapi/websocket/WebSocket.cc
        example/cppapi/websocket/WebSocket.h
        example/cppapi/websocket/WSBuffer.cc
        example/cppapi/websocket/WSBuffer.h
        example/disable_http2/disable_http2.cc
        example/file_1/file_1.c
        example/hello/hello.c
        example/intercept/intercept.cc
        example/lifecycle_plugin/lifecycle_plugin.c
        example/null_transform/null_transform.c
        example/output_header/output_header.c
        example/passthru/passthru.cc
        example/protocol/Protocol.c
        example/protocol/Protocol.h
        example/protocol/TxnSM.c
        example/protocol/TxnSM.h
        example/protocol_stack/protocol_stack.cc
        example/query_remap/query_remap.c
        example/redirect_1/redirect_1.c
        example/remap/remap.cc
        example/remap_header_add/remap_header_add.cc
        example/replace_header/replace_header.c
        example/response_header_1/response_header_1.c
        example/secure_link/secure_link.c
        example/server_push/server_push.c
        example/server_transform/server_transform.c
        example/session_hooks/session_hooks.c
        example/ssl_preaccept/ssl_preaccept.cc
        example/ssl_sni/ssl_sni.cc
        example/ssl_sni_whitelist/ssl_sni_whitelist.cc
        example/statistic/statistic.cc
        example/thread_1/thread_1.c
        example/thread_pool/include/gen.c
        example/thread_pool/psi.c
        example/thread_pool/thread.c
        example/thread_pool/thread.h
        example/txn_data_sink/txn_data_sink.c
        example/version/version.c
        iocore/aio/AIO.cc
        iocore/aio/I_AIO.h
        iocore/aio/Inline.cc
        iocore/aio/P_AIO.h
        iocore/aio/test_AIO.cc
        iocore/dns/DNS.cc
        iocore/dns/DNSConnection.cc
        iocore/dns/I_DNS.h
        iocore/dns/I_DNSProcessor.h
        iocore/dns/I_SplitDNS.h
        iocore/dns/I_SplitDNSProcessor.h
        iocore/dns/Inline.cc
        iocore/dns/P_DNS.h
        iocore/dns/P_DNSConnection.h
        iocore/dns/P_DNSProcessor.h
        iocore/dns/P_SplitDNS.h
        iocore/dns/P_SplitDNSProcessor.h
        iocore/dns/SplitDNS.cc
        iocore/dns/SRV.h
        iocore/dns/test_I_DNS.cc
        iocore/dns/test_P_DNS.cc
        iocore/eventsystem/unit_tests/test_MIOBufferWriter.cc
        iocore/eventsystem/EventSystem.cc
        iocore/eventsystem/I_Action.h
        iocore/eventsystem/I_Continuation.h
        iocore/eventsystem/I_EThread.h
        iocore/eventsystem/I_Event.h
        iocore/eventsystem/I_EventProcessor.h
        iocore/eventsystem/I_EventSystem.h
        iocore/eventsystem/I_IOBuffer.h
        iocore/eventsystem/I_Lock.h
        iocore/eventsystem/I_MIOBufferWriter.h
        iocore/eventsystem/I_PriorityEventQueue.h
        iocore/eventsystem/I_Processor.h
        iocore/eventsystem/I_ProtectedQueue.h
        iocore/eventsystem/I_ProxyAllocator.h
        iocore/eventsystem/I_SocketManager.h
        iocore/eventsystem/I_Tasks.h
        iocore/eventsystem/I_Thread.h
        iocore/eventsystem/I_VConnection.h
        iocore/eventsystem/I_VIO.h
        iocore/eventsystem/Inline.cc
        iocore/eventsystem/IOBuffer.cc
        iocore/eventsystem/Lock.cc
        iocore/eventsystem/P_EventSystem.h
        iocore/eventsystem/P_Freer.h
        iocore/eventsystem/P_IOBuffer.h
        iocore/eventsystem/P_ProtectedQueue.h
        iocore/eventsystem/P_Thread.h
        iocore/eventsystem/P_UnixEThread.h
        iocore/eventsystem/P_UnixEvent.h
        iocore/eventsystem/P_UnixEventProcessor.h
        iocore/eventsystem/P_UnixSocketManager.h
        iocore/eventsystem/P_VConnection.h
        iocore/eventsystem/P_VIO.h
        iocore/eventsystem/PQ-List.cc
        iocore/eventsystem/Processor.cc
        iocore/eventsystem/ProtectedQueue.cc
        iocore/eventsystem/ProxyAllocator.cc
        iocore/eventsystem/SocketManager.cc
        iocore/eventsystem/Tasks.cc
        iocore/eventsystem/test_Buffer.cc
        iocore/eventsystem/test_Event.cc
        iocore/eventsystem/test_I_Buffer.cc
        iocore/eventsystem/test_I_Event.cc
        iocore/eventsystem/test_P_Buffer.cc
        iocore/eventsystem/test_P_Event.cc
        iocore/eventsystem/Thread.cc
        iocore/eventsystem/UnixEThread.cc
        iocore/eventsystem/UnixEvent.cc
        iocore/eventsystem/UnixEventProcessor.cc
        iocore/hostdb/HostDB.cc
        iocore/hostdb/I_HostDB.h
        iocore/hostdb/I_HostDBProcessor.h
        iocore/hostdb/Inline.cc
        iocore/hostdb/P_HostDB.h
        iocore/hostdb/P_HostDBProcessor.h
        iocore/hostdb/P_RefCountCache.h
        iocore/hostdb/P_RefCountCacheSerializer.h
        iocore/hostdb/RefCountCache.cc
        iocore/hostdb/test_I_HostDB.cc
        iocore/hostdb/test_P_HostDB.cc
        iocore/hostdb/test_RefCountCache.cc
        iocore/net/BIO_fastopen.cc
        iocore/net/BIO_fastopen.h
        iocore/net/Connection.cc
        iocore/net/I_Net.h
        iocore/net/I_NetProcessor.h
        iocore/net/I_NetVConnection.h
        iocore/net/I_SessionAccept.h
        iocore/net/I_Socks.h
        iocore/net/I_UDPConnection.h
        iocore/net/I_UDPNet.h
        iocore/net/I_UDPPacket.h
        iocore/net/Inline.cc
        iocore/net/YamlSNIConfig.cc
        iocore/net/YamlSNIConfig.h
        iocore/net/Net.cc
        iocore/net/NetVConnection.cc
        iocore/net/NetVCTest.cc
        iocore/net/OCSPStapling.cc
        iocore/net/P_CompletionUtil.h
        iocore/net/P_Connection.h
        iocore/net/P_InkBulkIO.h
        iocore/net/P_LibBulkIO.h
        iocore/net/P_Net.h
        iocore/net/P_NetAccept.h
        iocore/net/P_NetVConnection.h
        iocore/net/P_NetVCTest.h
        iocore/net/P_OCSPStapling.h
        iocore/net/P_SNIActionPerformer.h
        iocore/net/P_Socks.h
        iocore/net/P_SSLCertLookup.h
        iocore/net/P_SSLClientUtils.h
        iocore/net/P_SSLConfig.h
        iocore/net/P_SSLNetAccept.h
        iocore/net/P_SSLNetProcessor.h
        iocore/net/P_SSLNetVConnection.h
        iocore/net/P_SSLNextProtocolAccept.h
        iocore/net/P_SSLNextProtocolSet.h
        iocore/net/P_SSLSNI.h
        iocore/net/P_SSLUtils.h
        iocore/net/P_UDPConnection.h
        iocore/net/P_UDPIOEvent.h
        iocore/net/P_UDPNet.h
        iocore/net/P_UDPPacket.h
        iocore/net/P_UnixCompletionUtil.h
        iocore/net/P_UnixNet.h
        iocore/net/P_UnixNetProcessor.h
        iocore/net/P_UnixNetState.h
        iocore/net/P_UnixNetVConnection.h
        iocore/net/P_UnixPollDescriptor.h
        iocore/net/P_UnixUDPConnection.h
        iocore/net/SessionAccept.cc
        iocore/net/SNIActionPerformer.cc
        iocore/net/Socks.cc
        iocore/net/SSLCertLookup.cc
        iocore/net/SSLClientUtils.cc
        iocore/net/SSLConfig.cc

## trafficserver 8.0.5+ds

=== debian/changelog ===
trafficserver (8.0.5+ds-3) unstable; urgency=medium

  * Bump Standards-Version
  * Add patch for Python 3.8 compatibility (Closes: #950245)
  * Update build & test dependencies for Python 3.8

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 03 Feb 2020 11:45:17 +0100

trafficserver (8.0.5+ds-2) unstable; urgency=medium

  * Bump Debian Policy version
  * Remove Build-Depends against python2 modules (Closes: #943248)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 23 Oct 2019 10:07:42 +0200

trafficserver (8.0.5+ds-1) unstable; urgency=medium

  * New upstream release
    - Changes introduced with 8.0.4 include fixes for CVE-2019-9512,
      CVE-2019-9514, and CVE-2019-9515. (Closes: #934887)
    - 8.0.5 fixes CVE-2019-9518 (Closes: #935314)

 -- Emanuele Rocca <ema@debian.org>  Sat, 24 Aug 2019 09:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,12 @@
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
   libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
-  python3-sphinx [!kfreebsd-any], python-sphinx [kfreebsd-any], plantuml,
-  python3-sphinxcontrib.plantuml [!kfreebsd-any], python-sphinxcontrib.plantuml [kfreebsd-any],
+  python3-distro, python3-sphinx, plantuml, python3-sphinxcontrib.plantuml,
   libxml2-dev, libncurses-dev, libcurl4-openssl-dev,
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
   libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,repack,compression=xz" \
   https://www.apache.org/dist/trafficserver \
   trafficserver-(\d+\.\d+.\d+)\.tar\.bz2 \
   debian uupdate

## trafficserver 8.0.7+ds

=== debian/changelog ===
trafficserver (8.0.7+ds-1build1) groovy; urgency=medium

  * Rebuild against new yaml-cpp.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 May 2020 14:24:12 +0200

trafficserver (8.0.7+ds-1) unstable; urgency=medium

  * New upstream version 8.0.7+ds

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 16 Apr 2020 18:32:04 +0200

trafficserver (8.0.6+ds-1) unstable; urgency=medium

  * Update d/watch after upstream changes
  * Update d/gbp.conf
  * Update d/gbp.conf
  * New upstream version 8.0.6+ds
  * Patches refresh for 8.0.6

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 03 Mar 2020 09:06:18 +0100

## trafficserver 8.0.8+ds

=== debian/changelog ===
trafficserver (8.0.8+ds-2) unstable; urgency=medium

  * Backport upstream patch to fix FTBFS with Sphinx >= 3.0 (Closes: #963664)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 29 Jul 2020 08:40:43 +0200

trafficserver (8.0.8+ds-1) unstable; urgency=medium

  * New upstream version 8.0.8+ds
  * Includes fix for CVE-2020-9494 (Closes: #963629)
  * Update debhelper-compat version in d/control

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 25 Jun 2020 10:01:51 +0200

## trafficserver 8.1.0+ds

=== debian/changelog ===
trafficserver (8.1.0+ds-1) unstable; urgency=medium

  * Remove lintian-overrides for trafficserver-experimental-plugins
  * Fix Salsa CI
  * Update d/upstream/signing-key.asc
  * New upstream version 8.1.0+ds
  * d/patches refresh for 8.1.0
  * Update experimental plugins list

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 01 Sep 2020 19:55:21 +0200

trafficserver (8.0.8+ds-3) UNRELEASED; urgency=low

  * Fix day-of-week for changelog entry 2.1.5-unstable-1.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 22 Aug 2020 17:48:33 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
 Uploaders: Aron Xu <aron@debian.org>, Emanuele Rocca <ema@debian.org>
-Build-Depends: debhelper-compat (= 12), libssl-dev, tcl-dev, libexpat1-dev,
+Build-Depends: debhelper-compat (= 13), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
   libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,

=== debian/tests/control ===
Tests: upstream-testsuite
Depends: trafficserver, python3-dev, python3-distro, python3-virtualenv, virtualenv, build-essential, curl, netcat
Restrictions: rw-build-tree allow-stderr

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,repack,compression=xz" \
   https://downloads.apache.org/trafficserver \
   trafficserver-(\d+\.\d+.\d+)\.tar\.bz2 \
   debian uupdate

## trafficserver 8.1.1%2Bds

=== debian/changelog ===
trafficserver (8.1.1+ds-1) unstable; urgency=medium

  * New upstream version 8.1.0+ds
  * Update d/watch
  * Update d/upstream/signing-key.asc
  * New upstream version 8.1.1+ds
  * Update Debian Standards-Version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 06 Dec 2020 16:26:39 +0100

trafficserver (8.1.0+ds-2) unstable; urgency=medium

  * Remove autopkgtest (Closes: #974683)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 22 Nov 2020 18:24:18 +0100

## trafficserver 8.1.1+ds

=== debian/changelog ===
trafficserver (8.1.1+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Address CVE-2021-27577, CVE-2021-32565, CVE-2021-32566, CVE-2021-32567 and
    CVE-2021-35474.
    - CVE-2021-27577: Incorrect handling of url fragment leads to cache
      poisoning
    - CVE-2021-32565: HTTP Request Smuggling, content length with invalid
      charters
    - CVE-2021-32566: Specific sequence of HTTP/2 frames can cause ATS to
      crash
    - CVE-2021-32567: Reading HTTP/2 frames too many times
    - CVE-2021-35474: Dynamic stack buffer overflow in cachekey plugin
    (Closes: #990303)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 15 Jul 2021 21:48:17 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
   libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver

## trafficserver 8.1.5+ds

=== debian/changelog ===
trafficserver (8.1.5+ds-1~deb11u1) bullseye-security; urgency=high

  * Update d/watch to stick to 8.1.X serie
  * Update upstream gpg keys
  * UPdate d/salsa-ci.yaml
  * New upstream version 8.1.5+ds
  * Patches refresh for 8.1.5
  * Update experimental plugins list
  * Multiple CVE fixes for 8.1.x
    + CVE-2021-37150: Protocol vs scheme mismatch
    + CVE-2022-25763: Improper input validation on HTTP/2 headers
    + CVE-2022-28129: Insufficient Validation of HTTP/1.x Headers
    + CVE-2022-31778: Transfer-Encoding not treated as hop-by-hop
    + CVE-2022-31779: Improper HTTP/2 scheme and method validation
    + CVE-2022-31780: HTTP/2 framing vulnerabilities 

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 12 Aug 2022 09:16:08 +0200

trafficserver (8.1.1+ds-1.1+deb11u1) bullseye-security; urgency=high

  * Multiple CVE fixes for 8.1.x
    + CVE-2021-37147: Improper input validation vulnerability
    + CVE-2021-37148: Improper input validation vulnerability
    + CVE-2021-37149: Improper Input Validation vulnerability
    + CVE-2021-38161: Improper Authentication vulnerability in TLS origin verification
    + CVE-2021-44040: Improper Input Validation vulnerability in request line parsing
    + CVE-2021-44759: Improper Authentication vulnerability in TLS origin validation

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 21 May 2022 19:28:31 +0200

## trafficserver 8.1.6+ds

=== debian/changelog ===
trafficserver (8.1.6+ds-1~deb11u1) bullseye-security; urgency=high

  * Update d/u/signing-key for 8.1.x serie
  * New upstream version 8.1.6+ds
  * Multiple CVE fixes for 8.1.x
    + CVE-2022-32749: Improper Check for Unusual or Exceptional Conditions vulnerability
    + CVE-2022-37392: Improper Check for Unusual or Exceptional Conditions vulnerability

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 04 Jan 2023 09:22:58 +0100
